Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class Capabilities.TileSet

    java.lang.Object
      com.maryanovsky.map.client.opengis.wms.Capabilities.TileSet

Enclosing class:
  Capabilities

    public static final class Capabilities.TileSet

extends Object

Encapsulates information about a tile set as defined by the WMS Tiling Client Recommendation.

Method Summary
`BoundingBox` | `getBoundingBox()` Returns the bounding box of this tile set.
`String` | `getImageFormat()` Returns the format (mime-type) of the tile images.
`String` | `getLayers()` Returns the unparsed value of the `Layers` element.
`List<Double>` | `getResolutions()` Returns the list of resolutions (map units per pixel) at which this tile set has tiles.
`String` | `getSrs()` Returns the spatial reference system (SRS) of this tile set.
`String` | `getStyles()` Returns the unparsed value of the `Styles` element.
`SizeView` | `getTileSize()` Returns the size of the tiles.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSrs

    public String getSrs()

  Returns the spatial reference system (SRS) of this tile set.

### getBoundingBox

    public BoundingBox getBoundingBox()

  Returns the bounding box of this tile set.

### getResolutions

    public List<Double> getResolutions()

  Returns the list of resolutions (map units per pixel) at which this tile set has tiles. The returned list is unmodifable.

### getTileSize

    public SizeView getTileSize()

  Returns the size of the tiles.

### getImageFormat

    public String getImageFormat()

  Returns the format (mime-type) of the tile images.

### getLayers

    public String getLayers()

  Returns the unparsed value of the `Layers` element.

### getStyles

    public String getStyles()

  Returns the unparsed value of the `Styles` element.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD